package main

import (
	"encoding/json"
	"fmt"
	"os"
)

func loadJson(file string) (WeatherAPI, error) {
	var config WeatherAPI
	configFile, err := os.Open(file)
	if err != nil {
		fmt.Println(err.Error())
	}
	jsonParser := json.NewDecoder(configFile)
	jsonParser.Decode(&config)
	return config, err
}
